http://goo.gl/FiIm3
| Android Developers の一部分

android:maxSdkVersionは指定しないほうがいい(not recommended)

Androidプラットフォームの新しいバージョンは後方互換性を維持するので、新しいバージョンをブロックするのではなくて、標準のAPIを使って新しいバージョンの上でも動作するようにするべき。

それと、maxSdkVersionを指定すると、利用者がシステムアップデートを行った際にそのアプリケーションが削除されることになる。
また、システムアップデートの定期的な通知がアプリケーションに何らかの影響を与えないか事前に確認する必要がある。